# FBOGraphics (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.opengl.pbuffer
Class FBOGraphics

    java.lang.Object
      org.newdawn.slick.Graphics
          org.newdawn.slick.opengl.pbuffer.FBOGraphics

    public class FBOGraphics

extends Graphics

A graphics implementation that renders to an FBO

Author:
  kevin

Field Summary

Fields inherited from class org.newdawn.slick.Graphics
`currentGraphics, DEFAULT_FONT, GL, MODE_ADD, MODE_ALPHA_BLEND, MODE_ALPHA_MAP, MODE_COLOR_MULTIPLY, MODE_NORMAL, MODE_SCREEN, screenHeight, screenWidth`

Constructor Summary
`FBOGraphics(Image image)` Create a new graphics context around an FBO

Method Summary
`void` `destroy()` Dispose this graphics context, this will release any underlying resourses.
`protected void` `disable()` Disable rendering to this graphics context
`protected void` `enable()` Enable rendering to this graphics context
`protected void` `enterOrtho()` Enter the orthographic mode
`void` `flush()` Flush this graphics context to the underlying rendering context
`protected void` `initGL()` Initialise the GL context

Methods inherited from class org.newdawn.slick.Graphics

`clear, clearAlphaMap, clearClip, clearWorldClip, copyArea, draw, draw, drawAnimation, drawAnimation, drawArc, drawArc, drawGradientLine, drawGradientLine, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawLine, drawOval, drawOval, drawRect, drawRoundRect, drawRoundRect, drawString, fill, fill, fillArc, fillArc, fillOval, fillOval, fillRect, fillRect, fillRoundRect, fillRoundRect, getArea, getBackground, getClip, getColor, getFont, getLineWidth, getPixel, getWorldClip, isAntiAlias, popTransform, pushTransform, resetFont, resetLineWidth, resetTransform, rotate, scale, setAntiAlias, setBackground, setClip, setClip, setColor, setCurrent, setDrawMode, setFont, setLineWidth, setWorldClip, setWorldClip, texture, texture, texture, texture, texture, texture, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBOGraphics

    public FBOGraphics(Image image)
                throws SlickException

  Create a new graphics context around an FBO

  Parameters:
    `image` - The image we're rendering to
  Throws:
    `SlickException` - Indicates a failure to use pbuffers

Method Detail

### disable

    protected void disable()

  Description copied from class: `Graphics`
  Disable rendering to this graphics context

  Overrides:
    `disable` in class `Graphics`
  See Also:
    `Graphics.disable()`

### enable

    protected void enable()

  Description copied from class: `Graphics`
  Enable rendering to this graphics context

  Overrides:
    `enable` in class `Graphics`
  See Also:
    `Graphics.enable()`

### initGL

    protected void initGL()

  Initialise the GL context

### enterOrtho

    protected void enterOrtho()

  Enter the orthographic mode

### destroy

    public void destroy()

  Description copied from class: `Graphics`
  Dispose this graphics context, this will release any underlying resourses. However this will also invalidate it's use

  Overrides:
    `destroy` in class `Graphics`
  See Also:
    `Graphics.destroy()`

### flush

    public void flush()

  Description copied from class: `Graphics`
  Flush this graphics context to the underlying rendering context

  Overrides:
    `flush` in class `Graphics`
  See Also:
    `Graphics.flush()`

Copyright © 2006 New Dawn Software. All Rights Reserved.